function Component()
{
    installer.finishButtonClicked.connect(this, Component.prototype.installationFinished);

}

Component.prototype.createOperations = function()
{
    component.createOperations();
    if (systemInfo.productType === "windows") {
        component.addOperation("CreateShortcut", "@TargetDir@/bin/GenTLViewer.exe", "@StartMenuDir@/GenTL Viewer.lnk",
                               "workingDirectory=@TargetDir@", "iconPath=@TargetDir@/bin/GenTLViewer.exe",
                               "iconId=1", "description=Launch GenTL Viewer");
        var result = QMessageBox.question("desktop.question", "Installer", "Do you want me to put an icon on the desktop?", QMessageBox.Yes | QMessageBox.No);
        if (result == QMessageBox.Yes) {
            component.addOperation("CreateShortcut", "@TargetDir@/bin/GenTLViewer.exe", "@DesktopDir@/GenTL Viewer.lnk");
        }

        component.addOperation("CreateShortcut", "@TargetDir@/maintenancetool.exe", "@StartMenuDir@/Maintenance Tool.lnk",
                               "workingDirectory=@TargetDir@", "iconPath=@TargetDir@/maintenancetool.exe",
                               "iconId=1", "description=Run maintenance tool to check for updates, uninstall, etc...");
        component.addOperation("CreateShortcut", "http://support.criticallink.com/files/GenTLViewer/GenTLViewer%20Manual.pdf", "@StartMenuDir@/User Manual.lnk");
        component.addOperation("CreateShortcut", "http://support.criticallink.com/redmine/projects/gentl_apps/wiki/GenTL_Viewer_Release_Notes", "@StartMenuDir@/Release Notes.lnk");
    }
}

Component.prototype.installationFinished = function()
{
    try {
        if (installer.isInstaller() && installer.status == QInstaller.Success) {
            var status;
            // run the batch file to open the firewall for GigE
            status = installer.performOperation("Execute", ["@TargetDir@\\bin\\open_fw.bat", "@TargetDir@\\bin\\GenTLViewer.exe", "install"]);
            console.log("Calling " + "@TargetDir@\\bin\\open_fw.bat" + " status = " + status);
        }
    } catch(e) {
        console.log(e);
    }
}
